function Elgoh.ItemTooltip(tooltip)
	_, item = tooltip:GetItem();
	itemLevel, itemCost = Elgoh.iLvl(item);
	tooltip:AddDoubleLine("EPGP price: ", itemCost, 0.7, 0.3, 1.0, 0.8, 0.8, 0.8);
	tooltip:Show();
end

function Elgoh.iLvl(item)
	if not item then 
		return -1000, 0
	end
	
	name, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture, itemSellPrice = GetItemInfo(item);
	
	if(itemLevel == nil) then 
		return 0
	end
	
	local itemString = string.match(itemLink, "item[%-?%d:]+")
	local _, itemID, enchant, gemID1, gemID2, gemID3, gemID4, suffixID, uniqueID, level, upgradeID, instanceDifficultyID, numBonusIDs, BonusID1, BonusID2 = strsplit(":", itemString)

	dkp_base = itemLevel / 2

	-- Set slot modifier
	dkp_slot = 0
	if (itemEquipLoc == "INVTYPE_HEAD") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_NECK") then
		dkp_slot = 0.6
	elseif (itemEquipLoc == "INVTYPE_SHOULDER") then
		dkp_slot = 0.75
	elseif (itemEquipLoc == "INVTYPE_CHEST") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_ROBE") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_WAIST") then
		dkp_slot = 0.75
	elseif (itemEquipLoc == "INVTYPE_LEGS") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_FEET") then
		dkp_slot = 0.75
	elseif (itemEquipLoc == "INVTYPE_WRIST") then
		dkp_slot = 0.6
	elseif (itemEquipLoc == "INVTYPE_HAND") then
		dkp_slot = 0.75
	elseif (itemEquipLoc == "INVTYPE_FINGER") then
		dkp_slot = 0.6
	elseif (itemEquipLoc == "INVTYPE_TRINKET") then
		dkp_slot = 0.75
	elseif (itemEquipLoc == "INVTYPE_CLOAK") then
		dkp_slot = 0.75
	elseif (itemEquipLoc == "INVTYPE_WEAPON") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_SHIELD") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_2HWEAPON") then
		dkp_slot = 2
	elseif (itemEquipLoc == "INVTYPE_WEAPONMAINHAND") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_WEAPONOFFHAND") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_RANGED" or itemEquipLoc == "INVTYPE_RANGEDRIGHT" or itemEquipLoc == "INVTYPE_THROWN") then
		dkp_slot = 2
	else
		dkp_slot = 0
	end

	return itemLevel, math.floor(dkp_base * dkp_slot)
end
